FOG 1.4.4 Capone problme



  • Please see: FOG 1.3 Capone problem##### Server

    • FOG Version: 1.4.4
    • OS: Ubuntu 14.04
    Description

    I am running into the same problem as described in the topic above but I am running FOG 1.4.4 and am using the latest version of Capone that I was able to download via the FOG server.

    Basically, I don’t seem to be able to save any of the Capone plugin settings. When I select a DMI field to use and click Update Settings, the screen flashes and just takes me back to the installed plugins page. If I try to create an association, it does the same thing. I thought maybe it was just a permissions issue on the plugins directory so I tried completely opening the permissions (chmod 777) on the /var/www/fog/fog/lib/plugins directory and all subfolders, but that did not help.

    Any assistance would be appreciated.


  • Senior Developer

    @SquidgyHobo where the wiki shows git checkout dev-branch you would do git checkout working.

    Master branch is current stable version 1.4.4
    Dev-branch is latest trunk, sometimes it’s the same as master but typically containing rc versions.
    Working branch is where I’m almost always “working” on the latest stuff whatever that might entail.



  • @Tom-Elliott
    I couldn’t find anything about what you are calling the ‘working branch’ but I did go through the instructions here: https://wiki.fogproject.org/wiki/index.php?title=Installation#Current_development_version to get the 1.5.0-RC-2 dev branch.

    After installing that version, Capone is working perfectly. Thank you.

    As a side note, what exactly were you referring to when you said (or better the working branch)? Is there a non-development version that is higher than 1.4.4? I thought that I was already on the latest working version.

    Thanks again,


  • Senior Developer

    @SquidgyHobo Mind installing 1.5.0-RC-2 (or better the working branch) and seeing if that helps? I’m not able to replicate and I’m too far ahead to downgrade my systems to try to get a quick fix. Quickest for now would be to install the working stuff. Plus I can get more eye’s on :D .



  • @Tom-Elliott
    Doing some more troubleshooting, I noticed something new. When I am clicking the update settings button or the add association button, I get an error at the top of the screen stating ‘Invalid Plugin Passed’.

    I found this post about that error: https://forums.fogproject.org/topic/9883/invalid-plugin-passed-message/2

    I tried using the command on that post and then re-installing Capone but that has not helped so far.

    Thank you,



  • @Tom-Elliott

    Ok, but I also do not show a fog.capone option under the iPXE menu customization page and when I boot a client PC, Capone does not show on the FOG menu.

    Honestly, it almost looks like it is not being fully installed even though it shows up in the Installed Plugins section.


  • Senior Developer

    @SquidgyHobo The newer versions of fog do not require the “old” pxe server configuration and hence was removed.



  • @Tom-Elliott
    There are 2 sections under the Capone plugin.

    The Settings section has the DMI Field and the reboot or shutdown after imaging option. If I select a DMI option and set the reboot behavior and click Update Settings then I just get taken back to the Installed Plugins screen. When I re-open Capone, the setting has not been saved.

    The Add Image to DMI Associations section has the Image Definition drop down and DMI Result fields. If I select an image from the drop down and type a DMI result in the appropriate field and click Add Association then it takes me back to the Installed Plugins screen. When I re-open Capone, there are no associations listed.

    I have also tried choosing options in the Settings section and the Add Image to DMI Associations section then clicking the Add Association button but I get the same behavior.

    One other thing to note, on the old version of FOG (0.32 that I still have installed on a different server) when I go to the Capone plugin, there is a section at the bottom called PXE Configuration. That section does not appear at all on the new FOG server.


  • Senior Developer

    @SquidgyHobo Please remember how to update settings with Capone.

    The button under Associations does not update the values under Basic Settings.



  • @Tom-Elliott said in FOG 1.4.4 Capone problme:

    wget -O /var/www/fog/lib/fog/plugin.class.php https://raw.githubusercontent.com/FOGProject/fogproject/6717f382177e714c1bd22eb11627133cfd4e0ebe/packages/web/lib/fog/plugin.class.php

    I tried this but it did not help.
    As for how/when Capone was installed, this FOG installation was a direct installation of 1.4.4 so there were no previous versions of FOG on this machine. I registered a PC, uploaded and image and installed Capone pretty much immediately afterward.


  • Senior Developer

    Imma going to guess the problem is mroe difficult than just error logs. Imma going to guess you installed Capone AFTER installing capone after getting up to 1.4.4? Please try:

    wget -O /var/www/fog/lib/fog/plugin.class.php https://raw.githubusercontent.com/FOGProject/fogproject/6717f382177e714c1bd22eb11627133cfd4e0ebe/packages/web/lib/fog/plugin.class.php
    

    Uninstall capone and reinstall it. Your database should exist and you should be able to make the proper associations finally.


  • Developer

    @SquidgyHobo Anything in the apache error logs when you click “Update Settings”? See my signature on where to find those logs…


Log in to reply
 

393
Online

39.3k
Users

11.0k
Topics

104.6k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.